"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.checkTestCases = checkTestCases;
exports.checkZeroForUnits = checkZeroForUnits;
exports.minifyCss = minifyCss;

const uglifycss = require('uglifycss');

function minifyCss(inputCss) {
  const minifiedCSS = uglifycss.processString(inputCss);
  return minifiedCSS;
}

function checkTestCases(inputvalues, expectedOutput) {
  expect(inputvalues).toBe(expectedOutput);
}

function checkZeroForUnits(name) {
  const inputvalues = `
.firstElement{
    ${name} :0vh;
}`;
  const expectedOutput = `.firstElement{${name}:0}`;
  checkTestCases(minifyCss(inputvalues), expectedOutput);
}